Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
openssl_mode.cpp File Reference
`#include <botan/cipher_mode.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/internal/openssl.h>`
`#include <openssl/evp.h>`
`#include <limits.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | MAKE_OPENSSL_MODE(evp_fn) new OpenSSL_Cipher_Mode(name, (evp_fn)(), direction)

## Functions
Cipher_Mode * | Botan::make_openssl_cipher_mode (const std::string &name, Cipher_Dir direction)

## Macro Definition Documentation

#define MAKE_OPENSSL_MODE | ( |  | evp_fn | ) | new OpenSSL_Cipher_Mode(name, (evp_fn)(), direction)

Referenced by Botan::make_openssl_cipher_mode().

## Variable Documentation

size_t m_block_size

Definition at line 47 of file openssl_mode.cpp.

Referenced by Botan::Lion::block_size(), Botan::CFB_Mode::block_size(), Botan::CBC_Mode::block_size(), Botan::TLS::TLS_CBC_HMAC_AEAD_Mode::block_size(), Botan::OCB_Mode::block_size(), and Botan::CMAC::output_length().

EVP_CIPHER_CTX* m_cipher

Definition at line 48 of file openssl_mode.cpp.

const Cipher_Dir m_direction

Definition at line 46 of file openssl_mode.cpp.

bool m_key_set

Definition at line 49 of file openssl_mode.cpp.

const std::string m_mode_name

Definition at line 45 of file openssl_mode.cpp.

bool m_nonce_set

Definition at line 50 of file openssl_mode.cpp.